Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface HibernateMessageFilterDocument.HibernateMessageFilter

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  HibernateMessageFilterDocumentImpl.HibernateMessageFilterImpl

Enclosing interface:
  HibernateMessageFilterDocument

    public static interface HibernateMessageFilterDocument.HibernateMessageFilter

extends org.apache.xmlbeans.XmlObject

An XML hibernate-message-filter(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `HibernateMessageFilterDocument.HibernateMessageFilter.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`java.lang.String` | `getClassname()` Gets the "classname" attribute
`java.lang.String` | `getEvent()` Gets the "event" attribute
`boolean` | `isSetEvent()` True if has "event" attribute
`void` | `setClassname(java.lang.String classname)` Sets the "classname" attribute
`void` | `setEvent(java.lang.String event)` Sets the "event" attribute
`void` | `unsetEvent()` Unsets the "event" attribute
`org.apache.xmlbeans.XmlString` | `xgetClassname()` Gets (as xml) the "classname" attribute
`org.apache.xmlbeans.XmlString` | `xgetEvent()` Gets (as xml) the "event" attribute
`void` | `xsetClassname(org.apache.xmlbeans.XmlString classname)` Sets (as xml) the "classname" attribute
`void` | `xsetEvent(org.apache.xmlbeans.XmlString event)` Sets (as xml) the "event" attribute

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getClassname

    java.lang.String getClassname()

  Gets the "classname" attribute

### xgetClassname

    org.apache.xmlbeans.XmlString xgetClassname()

  Gets (as xml) the "classname" attribute

### setClassname

    void setClassname(java.lang.String classname)

  Sets the "classname" attribute

### xsetClassname

    void xsetClassname(org.apache.xmlbeans.XmlString classname)

  Sets (as xml) the "classname" attribute

### getEvent

    java.lang.String getEvent()

  Gets the "event" attribute

### xgetEvent

    org.apache.xmlbeans.XmlString xgetEvent()

  Gets (as xml) the "event" attribute

### isSetEvent

    boolean isSetEvent()

  True if has "event" attribute

### setEvent

    void setEvent(java.lang.String event)

  Sets the "event" attribute

### xsetEvent

    void xsetEvent(org.apache.xmlbeans.XmlString event)

  Sets (as xml) the "event" attribute

### unsetEvent

    void unsetEvent()

  Unsets the "event" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD